Summary:	An OpenGL 3d racing game
Name: 		torcs
Version:	1.2.1
Release: 	0.fdr.9.rh90
Epoch:		0
License:	GPL
Group:		Amusements/Games
URL:		http://torcs.org/
Source0: 	TORCS-%{version}-src.tgz
Source1:	TORCS-%{version}-src-robots-base.tgz
Source2:	TORCS-%{version}-src-robots-berniw.tgz
Source3:	TORCS-%{version}-src-robots-K1999.tgz
Source4:	TORCS-%{version}-data.tgz
Source5:	TORCS-%{version}-data-tracks-base.tgz
Source6:	TORCS-%{version}-data-cars-extra.tgz
Source7:	TORCS-%{version}-data-cars-Patwo-Design.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel glut-devel zlib-devel libpng-devel desktop-file-utils
BuildRequires:	plib-devel >= 0:1.6.0
Requires:	%{name}-robots %{name}-data

%package robots-base
Summary:	Base robots for torcs
Group:		Amusements/Games
Provides:	%{name}-robots
Requires:	%{name} %{name}-data-cars-extra

%package robots-berniw
Summary:	Berniw robots for torcs
Group:		Amusements/Games
Provides:	%{name}-robots
Requires:	%{name}

%package robots-K1999
Summary:	K1999 robots for torcs
Group:		Amusements/Games
Provides:	%{name}-robots
Requires:	%{name}

%package data
Summary:	Data for torcs
Group:		Amusements/Games
Requires:	%{name}
Requires:	%{name}-robots-base

%package data-tracks
Summary:	Tracks for torcs
Group:		Amusements/Games
Requires:	%{name}

%package data-cars-extra
Summary:	Cars model for torcs
Group:		Amusements/Games
Requires:	%{name}

%package data-cars-Patwo-Design
Summary:	Cars model for torcs
Group:		Amusements/Games
Requires:	%{name}

#---------------------------------------------------------------------
%description
TORCS is a 3D racing cars simulator using OpenGL. The goal is to have
programmed robot drivers racing against each others. Nevertheless, a
joystick interface is present in order to drive yourself.

%description robots-base
TORCS is a 3D racing cars simulator using OpenGL. The goal is to have
programmed robot drivers racing against each others. Nevertheless, a
joystick interface is present in order to drive yourself.
This package contains some driver bot for torcs

%description robots-berniw
TORCS is a 3D racing cars simulator using OpenGL. The goal is to have
programmed robot drivers racing against each others. Nevertheless, a
joystick interface is present in order to drive yourself.
This package contains some driver bot for torcs

%description robots-K1999
TORCS is a 3D racing cars simulator using OpenGL. The goal is to have
programmed robot drivers racing against each others. Nevertheless, a
joystick interface is present in order to drive yourself.
This package contains some driver bot for torcs

%description data
TORCS is a 3D racing cars simulator using OpenGL. The goal is to have
programmed robot drivers racing against each others. Nevertheless, a
joystick interface is present in order to drive yourself.
This package contains mandatory data for %{name}

%description data-tracks
TORCS is a 3D racing cars simulator using OpenGL. The goal is to have
programmed robot drivers racing against each others. Nevertheless, a
joystick interface is present in order to drive yourself.
This package contains some extra tracks for %{name}

%description data-cars-extra
TORCS is a 3D racing cars simulator using OpenGL. The goal is to have
programmed robot drivers racing against each others. Nevertheless, a
joystick interface is present in order to drive yourself.
This package contains some extra car models

%description data-cars-Patwo-Design
TORCS is a 3D racing cars simulator using OpenGL. The goal is to have
programmed robot drivers racing against each others. Nevertheless, a
joystick interface is present in order to drive yourself.
This package contains some extra car models

#---------------------------------------------------------------------
%prep
%setup -q -b 1 -b 2 -b 3

#---------------------------------------------------------------------
%build
%configure
# Race conditions.
make

#---------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
for i in %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7}
do
  tar zvxf $i -C $RPM_BUILD_ROOT/%{_datadir}/games/%{name} |\
	sed 's:^\.:%{_datadir}/games/%{name}:g' |\
	sed 's:^\(.\+/\)$:%%dir \1:g' > ${i##*/}.list
done

install -m 644 -D Ticon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=TORCS
Comment=An OpenGL 3d racing game
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Encoding=UTF-8
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  --add-category X-Fedora			\
  --add-category Application                    \
  --add-category Game                           \
  %{name}.desktop

#---------------------------------------------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc COPYING CHANGELOG.html
%{_bindir}/gennmtab
%{_bindir}/%{name}
%{_libdir}/lib*.so
%dir %{_datadir}/games
%dir %{_datadir}/games/%{name}
%dir %{_datadir}/games/%{name}/drivers
%dir %{_datadir}/games/%{name}/tracks
%{_datadir}/games/%{name}/%{name}
%{_datadir}/games/%{name}/config
%{_datadir}/games/%{name}/modules
%{_datadir}/games/%{name}/setup_linux.sh
%{_datadir}/games/%{name}/telemetry
%{_datadir}/games/%{name}/drivers/human
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%files robots-base
%defattr(-,root,root,-)
%{_datadir}/games/%{name}/drivers/tita
%{_datadir}/games/%{name}/drivers/tanhoj
%{_datadir}/games/%{name}/drivers/lliaw
%{_datadir}/games/%{name}/drivers/inferno*
%{_datadir}/games/%{name}/drivers/damned
%{_datadir}/games/%{name}/drivers/cylos1

%files robots-berniw
%defattr(-,root,root,-)
%{_datadir}/games/%{name}/drivers/berniw2
%{_datadir}/games/%{name}/drivers/berniw

%files robots-K1999
%defattr(-,root,root,-)
%{_datadir}/games/%{name}/drivers/K1999

%files data -f TORCS-%{version}-data.tgz.list
%defattr(-,root,root,-)

%files data-tracks -f TORCS-%{version}-data-tracks-base.tgz.list
%defattr(-,root,root,-)

%files data-cars-extra -f TORCS-%{version}-data-cars-extra.tgz.list
%defattr(-,root,root,-)

%files data-cars-Patwo-Design -f TORCS-%{version}-data-cars-Patwo-Design.tgz.list
%defattr(-,root,root,-)

#---------------------------------------------------------------------
%changelog
* Mon Jul  7 2003 Dams <anvil[AT]livna.org> 0:1.2.1-0.fdr.9
- Added missing directories

* Sat Jun 28 2003 Dams <anvil[AT]livna.org> 0:1.2.1-0.fdr.8
- removed ugliness in SourceX tags

* Fri Jun 27 2003 Dams <anvil[AT]livna.org> 0:1.2.1-0.fdr.7
- Added missing dep

* Thu Jun 26 2003 Dams <anvil[AT]livna.org> 0:1.2.1-0.fdr.6
- Removed URL in Source tags.
- Added Encoding for the desktop entry
- buildroot -> RPM_BUILD_ROOT

* Thu Jun 26 2003 Dams <anvil[AT]livna.org> 0:1.2.1-0.fdr.5
- data now requires robots-base package 

* Thu May  1 2003 Dams <anvil[AT]livna.org> 0:1.2.1-0.fdr.4
- Added dir entry in main package

* Fri Apr 25 2003 Dams <anvil[AT]livna.org> 0:1.2.1-0.fdr.3
- Added dir entries according to discussion on bugzilla entry #203

* Fri Apr 25 2003 Dams <anvil[AT]livna.org> 0:1.2.1-0.fdr.2
- Stole Desktop entry from Freshrpms spec file

* Wed Apr 23 2003 Dams <anvil[AT]livna.org> 
- Initial build.
